# Audio Import Lib
A library to allow code modders to import common audio file formats into AudioClips that are playable in-game.

### API
There is only one method in the API.
`AudioImportLib.API.LoadAudioClip(string absolutePathToFile, bool dontUnloadUnusedAsset = true);`
The first parameter is the local path to the audio file.
The second parameter determines if the lib will automatically set the clip's hideflags to DontUnloadUnusedAsset to prevent Unity from collecting it.

### What if I already have Bass.Net and bass.dll installed?
It shouldn't conflict.

### Does this support r2modman?
It should.